classification
Title: Update Tcl/Tk version for buildbots
Type: Stage: resolved
Components: Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: loewis, pitrou, python-dev, serhiy.storchaka, terry.reedy, zach.ware
Priority: normal Keywords:

Created on 2014-02-08 18:26 by serhiy.storchaka, last changed 2014-05-13 10:59 by serhiy.storchaka. This issue is now closed.

Messages (6)
msg210674 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-02-08 18:26
Currently Windows buildbots use old versions of Tcl/Tk. These versions contain bugs (for example see issue20560).

Versions mentioned in Tools/buildbot/external-common.bat:
On 2.7: 8.5.2.1/8.5.2.0
On 3.3: 8.5.11.0
On 3.4: 8.6.1.0

Some buildbots even use beta version of 8.6 (I needed write workaround in testsuite for behavior differences).

Recent Tcl/Tk versions:

Tcl/Tk 8.6.1 Sep 20, 2013 
Tcl/Tk 8.5.15 Sep 18, 2013 
Tcl/Tk 8.4.20 Jun 1, 2013

Perhaps it is time to update Tcl/Tk to recent versions?
msg210689 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-02-08 22:01
I think the Windows buildbots should use the version delivered with the installer.  While sticking with one tcl/tk version for one 18 to 24 month cycle is ok, perhaps we should consider updating the version delivered with 2.7. The features exposed by tkinter could remain stable even if new features are added to tcl/tk in micro releases. On linux, a program written for Python x.y may have to work with multiple tcl/tk versions.
msg210691 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-02-08 22:07
I think this is done through the "external" SVN project:
http://svn.python.org/projects/external/
msg217019 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-04-22 20:36
New changeset 2b8d9276ad5b by Zachary Ware in branch '2.7':
Issue #21303, #20565: Updated the version of Tcl/Tk used on Windows
http://hg.python.org/cpython/rev/2b8d9276ad5b
msg217023 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2014-04-22 21:13
2.7 is now updated to 8.5.15, 3.3 is in security mode, and 3.4+ are on 8.6.1.
msg218433 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-05-13 10:59
Thank you Zachary.
History
Date User Action Args
2014-05-13 10:59:26serhiy.storchakasetmessages: + msg218433
2014-04-22 21:13:12zach.waresetstatus: open -> closed

versions: + Python 3.5, - Python 3.3
nosy: + zach.ware

messages: + msg217023
resolution: fixed
stage: resolved
2014-04-22 20:36:49python-devsetnosy: + python-dev
messages: + msg217019
2014-02-08 22:07:04pitrousetnosy: + loewis
messages: + msg210691
2014-02-08 22:01:56terry.reedysetnosy: + terry.reedy
messages: + msg210689
2014-02-08 18:26:34serhiy.storchakacreate